using System;
using Sunrise.Spell;
using NUnit.Framework;

namespace Test
{
	/// <summary>
	/// TestPYSpell ժҪ˵
	/// </summary>
	[TestFixture]
	public class TestPYSpell
	{
		public TestPYSpell()
		{
		}

		[Test]
		public void TestFirstLetterOnly()
		{
			string strChinese = "һֻɫֻ";
			string expect = "YZZSHLTGNZG";

			string result = Spell.MakeSpellCode(strChinese, SpellOptions.FirstLetterOnly);

			Assert.AreEqual(expect, result);
		}

		[Test]
		public void TestFullTranslation()
		{
			string strChinese = "һֻɫֻ";
			string expect = "YIZHIZONGSEHULITIAOGUONAZHIGOU";

			string result = Spell.MakeSpellCode(strChinese, SpellOptions.EnableUnicodeLetter);

			Assert.AreEqual(expect, result);
		}
	}
}
